## com.imcode.imcms.servlet.superadmin
Class AdminManager.AdminManagerPage

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.AdminManager.AdminManagerPage

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AdminManager

    public static class AdminManager.AdminManagerPage

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__PAGE`

Constructor Summary
`AdminManager.AdminManagerPage()`

Method Summary
`void` `addSubreport(AdminManagerSubreport newDocumentsSubreport)`
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, UserDomainObject user)`
`LocalizedMessage` `getErrorMessage()`
`LocalizedMessage` `getHeading()`
`java.lang.String` `getHtmlAdminPart()`
`JSCalendar` `getJSCalendar(javax.servlet.http.HttpServletRequest request)`
`java.util.List` `getSubreports()`
`java.lang.String` `getTabName()`
`void` `putInRequest(javax.servlet.http.HttpServletRequest request)`
`void` `setErrorMessage(LocalizedMessage errorMessage)`
`void` `setHeading(LocalizedMessage heading)`
`void` `setHtmlAdminPart(java.lang.String htmlAdminPart)`
`void` `setTabName(java.lang.String tabName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_ATTRIBUTE__PAGE

    public static final java.lang.String REQUEST_ATTRIBUTE__PAGE

See Also:
  Constant Field Values

Constructor Detail

### AdminManager.AdminManagerPage

    public AdminManager.AdminManagerPage()

Method Detail

### getHeading

    public LocalizedMessage getHeading()

### setHeading

    public void setHeading(LocalizedMessage heading)

### getSubreports

    public java.util.List getSubreports()

### getTabName

    public java.lang.String getTabName()

### setTabName

    public void setTabName(java.lang.String tabName)

### addSubreport

    public void addSubreport(AdminManagerSubreport newDocumentsSubreport)

### getHtmlAdminPart

    public java.lang.String getHtmlAdminPart()

### setHtmlAdminPart

    public void setHtmlAdminPart(java.lang.String htmlAdminPart)

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        UserDomainObject user)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### putInRequest

    public void putInRequest(javax.servlet.http.HttpServletRequest request)

### getErrorMessage

    public LocalizedMessage getErrorMessage()

### setErrorMessage

    public void setErrorMessage(LocalizedMessage errorMessage)

### getJSCalendar

    public JSCalendar getJSCalendar(javax.servlet.http.HttpServletRequest request)